## `<w-affix>` API

Unless otherwise noted all properties are HTML attributes (as opposed to JavaScript object properties).

### Properties

| Name | Type | Default | Summary |
|-|-|-|-|
| _icon (JS only) | `unknown` | `-` | - |
| aria-label | `string \| null` | `null` | Accessible label for icon-button variants. |
| clear | `boolean` | `false` | Renders a clear icon button. |
| icon | `string \| null` | `null` | Icon name rendered as prefix/suffix content. |
| label | `string` | `""` | Text label shown as prefix/suffix content. |
| search | `boolean` | `false` | Renders a search icon button. |

### Property Details

#### _icon (JS only)



- Type: `unknown`
- Default: `-`

#### aria-label



- Type: `string | null`
- Default: `null`

#### clear

Add this property to render a clickable Warp close icon.

Set an `aria-label` that explains the action when using this.

- Type: `boolean`
- Default: `false`

#### icon



- Type: `string | null`
- Default: `null`

#### label



- Type: `string`
- Default: `""`

#### search

Add this property to render a clickable Warp search icon.

- Type: `boolean`
- Default: `false`

